raw2psf(1)

NAME
raw2psf - convert a headerless monospaced font to PSF format

SYNOPSIS
raw2psf [--height=x] [--width=x] [--skip=x] [--first=x] [--last=x] [--codepage=page] [--flip] [--512] [--psf1] [--psf2] [INPUTFILE [OUTPUTFILE]]

DESCRIPTION
raw2psf converts various types of raw font file (ie, one containing only bitmap font data with no headers) to the PSF format.

OPTIONS

--height=n
    Specifies the height of the characters. If the raw font is being read from standard input, this option must be present; if not, it is guessed from the file size, but can be overridden if necessary.

--width=n
    Specifies the width of the characters (default is 8 bits, 1 byte).

--flip
    Mirrors all the bytes. For importing fonts from systems such as the Apricot Xi, where the bit-to-pixel mapping is the reverse of normal.

--skip=n
    Skip over n characters before starting to import. Use if a raw font file has several fonts, to extract the second and subsequent fonts.

--first=n
    Set the index of the first character to assign in the PSF (defaults to 0). Use if the raw font does not start with character 0; for example, Sinclair Spectrum fonts usually begin with character 32.

--last=n
    Set the index of the last character to assign in the PSF (defaults to 255).

--512
    Equivalent to --first=0 --last=511

--psf1
    Force output in the PSF1 format.

--psf2
    Force output in the PSF2 format (default).

--codepage=page
    Add a Unicode directory for the specified codepage, which can be identified by number or name. See psfpages(1) for a list of valid codepage names.

SEE ALSO
psf2raw(1), mda2psf(1), psfpages(1)

AUTHOR
John Elliott <seasip.webmaster@gmail.com>.